package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.CadastroServicoPage;

public class CadastroServicoFlows {
    CadastroServicoPage cadastroservico;

    public CadastroServicoFlows(){
        cadastroservico = new CadastroServicoPage();
    }

    public void navegarPaginaServico(String unidade){
        cadastroservico.ClicarMenu();
        cadastroservico.realizarFiltro(unidade);

    }

    public void marcaParametros(String nomeProduto){
        cadastroservico.marcaParametrosServico();
        cadastroservico.informaProdutoFatu(nomeProduto);
    }

    public void manutencaoCustoPadrao(){cadastroservico.manutencaoCustoPadrao();}

    public void abaFaturamento(String NOMESERVICO,String NMPRODUTOFATU, String VALPERCENTUAL)
    {
        cadastroservico.abaFaturamento(NOMESERVICO,NMPRODUTOFATU, VALPERCENTUAL);
    }

    public void abaEmbalagens(String NMPONTOENTREGA, String NMEMBALAGEM){
        cadastroservico.abaEmbalagens(NMPONTOENTREGA,NMEMBALAGEM );
    }

    public void exportaComensais(String DTINICIAL, String DTFINAL){
        cadastroservico.exportaComensais(DTINICIAL, DTFINAL);
    }

    public void alteraComensaisPontoEntrega(String QTSEG, String QTTER, String QTQUAR,
                                            String QTQUIN, String QTSEX){
        cadastroservico.alteraComensaisCliente(QTSEG, QTTER, QTQUAR,QTQUIN,QTSEX);
    }

    public void exportaEmbalagem(String CDFILIAL){
        cadastroservico.exportarEmbalagem(CDFILIAL);
    }

    public void exportaEmbalagemPontoEntrega(String CDFILIAL, String NMPONTOENTREGA){
        cadastroservico.exportarEmbalagemPontoEntrega(CDFILIAL,NMPONTOENTREGA);
    }

    public void importaEmbalagens(String CDUNIDADE){
        cadastroservico.importaEmbalage(CDUNIDADE);
    }

    public void importaEmbalagemPontoEntrega(String CDUNIDADE){
        cadastroservico.importaEmbalagemPontoEntrega(CDUNIDADE);

    }

    public void excluirEmbalagem(){
        cadastroservico.excluirEmbalagens();
        cadastroservico.validaExclusao();
    }

    public void excluirEmbalagemPontoEntrega(String NMPONTOENREGA){
        cadastroservico.excluirEmbalagemPontoEntrega(NMPONTOENREGA);
    }

    public void cadastroPontoEntrega(String NMCLIENTE){
        cadastroservico.cadastroPontoEntrega(NMCLIENTE);
    }

    public void apagaPontoEntrega(){
        cadastroservico.apagaPontoEntrega();
        cadastroservico.validaExclusao();
    }

    public void cadastroEmbalagem(String NMEMBALAGEM, String NMEMBALAGEM_1){
        cadastroservico.cadastroEmbalagem(NMEMBALAGEM,NMEMBALAGEM_1);
    }

    public void cadastrarTurno(String NMTURNO1, String QTDSEG, String QTDTER, String QTDQUAR, String QTDQUIN, String QTDSEXT,
                               String NMTURNO2, String QTDSEG2, String QTDTER2, String QTDQUAR2, String QTDQUIN2, String QTDSEXT2){
        cadastroservico.cadastraTurno(NMTURNO1,QTDSEG,QTDTER,QTDQUAR,QTDQUIN,QTDSEXT,NMTURNO2,QTDSEG2,QTDTER2,QTDQUAR2,QTDQUIN2,QTDSEXT2);
    }

    public void alterarComensaisTurno(String QTDSEG, String QTDTER, String QTDQUAR, String QTDQUIN, String QTDSEXT,
                                      String QTDSEG2, String QTDTER2, String QTDQUAR2, String QTDQUIN2, String QTDSEXT2){

        cadastroservico.alteraComensaisTurno(QTDSEG,QTDTER,QTDQUAR,QTDQUIN,QTDSEXT,QTDSEG2,QTDTER2,QTDQUAR2,QTDQUIN2,QTDSEXT2);

    }

    public void excluindoTurno(){
            cadastroservico.excluirTurno();
    }

    public void alteraProdutoFaturamento(String CDPRODFATU){cadastroservico.alterarProdutoFaturamento(CDPRODFATU);}

    public void apagaServicoProdutoFaturamento(){cadastroservico.apagandoProdutoServicoFaturamento();}

    public String validaProdutoAlterado(){return cadastroservico.validaAlteracaoProdutoFaturamento();}
    public String validarExclusaoTurno(){
        return cadastroservico.validaExclusaoTurno();
    }


   



}
